//Operation Gulf War Crisis
//Addon from this mod
//Visit our website
//http://desertstorm.gamersrevolt.com/default.asp

#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

#define private 0
#define protected 1
#define public 2

#define WeaponNoSlot			0
#define WeaponSlotPrimary		1
#define WeaponSlotSecondary		16
#define WeaponSlotItem			256
#define WeaponSlotBinocular		4096
#define WeaponHardMounted		65536

class CfgModels
{
	class Default{};
	class Weapon: Default{};
	class sg552: Weapon{};
};

class CfgPatches
{
//------------------------------------------------------
//------------------------------------------------------
	class sg552Soldiera	{units[] = {sg552Soldiera};	weapons[] = {};	requiredVersion = 1.70;	};
	class sg552Soldierb	{units[] = {sg552Soldierb};	weapons[] = {};	requiredVersion = 1.70;	};
//------------------------------------------------------
//------------------------------------------------------
	class sg552		{units[] = {sg552};	weapons[] = {};	requiredVersion = 1.70;	};
};

//---------------------------------------------------------------------------------------
//---------------------------------------------------------------------------------------
class CfgAmmo
{
	
	class default {};
	class BulletSingle : default{};
	class BulletBurst: BulletSingle{};
	class BulletFullAuto: BulletBurst{};
	class BulletSingleW: BulletSingle{};
	class BulletBurstW: BulletBurst{};
	class BulletFullAutoW: BulletFullAuto{};
};

//---------------------------------------------------------------------------------------
//---------------------------------------------------------------------------------------
class CfgWeapons
//---------------------------------------------------------------------------------------
//---------------------------------------------------------------------------------------
{
	class Default	{};
	class MGun: Default {};
	class Riffle: MGun {};
	class M16: Riffle {};


//-----------------------------------------------
class sg552: M16
//-----------------------------------------------
{
   scopeWeapon=2;
   scopeMagazine=0;
   model="\ds_sg552\sg552";
   modelOptics="\ds_sg552\optika_sig.p3d";
   picture="\ds_sg552\w_sg552.pac";
   displayName="SG552";
   displayNameMagazine="sg552mag";
   shortNameMagazine="sg552";
   drySound[]={"\ds_sg552\sg552dry.wav",0.000316,1};
   reloadMagazineSound[]={"\ds_sg552\sg552reload.wav",0.2,1};
   optics=1;
   opticsZoomMin=0.300000;
   opticsZoomMax=0.300000;
   initSpeed=1200;
   count=30;
   modes[]={"Single","FullAuto"};
   magazines[]={"sg552mag"};
   cursor="\ds_sg552\sig_reticle.paa";
   cursorAim = "\ds_sg552\sig_reticlel.paa";
   class Single
   {
      ammo="BulletSingleW";
      multiplier=1;
      burst=1;
      displayName="SG552";
      dispersion=0.000200;
	sound[]={"\ds_sg552\sg552.wav",db0,1};
      soundContinuous=0;
      reloadTime=0.150000;
      recoil="rifflesingle";
      ffCount=1;
      autoFire=0;
      aiRateOfFire=25.000000;
      aiRateOfFireDistance=600;
      useAction=0;
      useActionTitle="";
   };
   class FullAuto
   {
      ammo="BulletFullAuto";
      multiplier=1;
      burst=1;
      displayName="SG552 Auto";
      dispersion=0.004000;
      sound[]={"\ds_sg552\sg552.wav",db0,1};
      soundContinuous=0;
      reloadTime=0.100000;
      ffCount=1;
      recoil="riffleBurst3";
      autoFire=1;
      aiRateOfFire=30.000000;
      aiRateOfFireDistance=600;
      useAction=0;
      useActionTitle="";
   };
};
//-----------------------------------------------
class sg552mag:  sg552
	{
		scopeWeapon=0;
		scopeMagazine=2;
		displayNameMagazine="sg552mag";
		shortNameMagazine="sg552mag";
		picture="\ds_sg552\m_sg552.pac";
	};
};
//-----------------------------------------------
class CfgNonAIVehicles
{
	class ProxyWeapon {};
	class Proxysg552: ProxyWeapon {};
};
//------------------------------------------------------
//------------------------------------------------------
class CfgVehicles
{
	class All{};
	class AllVehicles:All{};
	class Land:AllVehicles{};
	class Man:Land{};
	class Soldier:Man{};
	class SoldierWB:Soldier{};
	class SoldierWSaboteur: SoldierWB{};
	class SoldierWSaboteurPipe: SoldierWSaboteur{};
	class SoldierWSaboteurDay: SoldierWSaboteurPipe{};
	
	
	
	class sg552Soldiera: SoldierWSaboteurday
	{
		access=1;
		displayName="US Black Op (SG552)";
		weapons[]={"Throw","Put","NVGoggles","sg552","Binocular"};
		magazines[]={"sg552mag","sg552mag","sg552mag","sg552mag","sg552mag","HandGrenade","HandGrenade","SmokeShell","SmokeShell"};
	};
	class sg552Soldierb: SoldierWB
	{
		displayName="US Soldier (SG552)";
		weapons[]={"Throw","Put","sg552","Binocular","NVGoggles"};
		magazines[]={"sg552mag","sg552mag","sg552mag","sg552mag","sg552mag","HandGrenade","HandGrenade","SmokeShell","SmokeShell"};
	};
};
